Subject: Re: linux-next: duplicate patches in the vfs-brauner tree

From: Christian Brauner <[email-masked]>
Date: Fri, 5 Apr 2024 12:57:08 +0200

On Thu, Apr 04, 2024 at 10:44:21AM +0900, Dominique Martinet wrote:
> Randy Dunlap wrote on Wed, Apr 03, 2024 at 05:21:01PM -0700:
> > > [off topic, I just spent 10 minutes looking for the list of urls of the
> > > repos merged into linux-next to check that 'vfs-brauner' tree commit as
> > > it doesn't appear to be in next yet, and couldn't find it as there's no
> > > "Merge branch x of ...brauner" commit in next at the moment.
> > > I'm sure it's there somewhere and I didn't look at the right place, but
> > > perhaps a link to such a list could be added to either of the following
> > > (which all describe linux-next to some level):
> > > - https://www.kernel.org/doc/man-pages/linux-next.html
> > > - Documentation/process/howto.rst
> > > - Documentation/process/2.Process.rst
> > > /off topic]
> > 
> > If you look in the Next subdir in a linux-next tree, for 20240403 it shows:
> > 
> > vfs-brauner	git	git://git.kernel.org/pub/scm/linux/kernel/git/vfs/vfs.git#vfs.all
> > 
> > in the Trees file and in the merge.log file it shows:
> > 
> > Merging vfs-brauner/vfs.all (35c44ac8370a Merge branch 'vfs.mount.api' into vfs.all)
> > $ git merge -m Merge branch 'vfs.all' of git://git.kernel.org/pub/scm/linux/kernel/git/vfs/vfs.git vfs-brauner/vfs.all
> 
> Thank you, I wasn't aware of this Next directory -- I'll definitely
> look there next!
> 
> 
> So these two commits content is identical but they are completly
> different patches from different authors (I was wondering about the
> different subject), and David never sent it as is to me as it was part
> of another commit[1] and I guess the other half got dropped on a rebase
> and I didn't notice the overlap...
> 
> [1] https://lkml.kernel.org/r/[email-masked]
> 
> Given this I'd favor keeping Randy's older commit in my tree, so I'll
> send it to Linus as soon as Christian gives his ok on dropping the
> patch (or I guess it doesn't really make that much sense to wait any
> longer at this point?)

The patches are part of David's larger netfs-writeback series afaict.
So what patch do you need dropped?